Problem with EPIC + Eclipse 3.0.1 :(

Help
sabitov
2004-12-06
2013-05-20
  • sabitov

    sabitov - 2004-12-06

    Does anybody try to run EPIC under Eclipse 3.0.1?

    It crashes for me with such exception:

    java.lang.NoClassDefFoundError: cbg/editor/ColoringSourceViewerConfiguration

     
    • David Powell

      David Powell - 2004-12-06

      Yes to your question - but I get no exception incident.  Someone else may have more useful advice.  Maybe more details of your environment would be useful (From Help>About Eclipse Platform>Feature Details, the entry "Perl Editor Plug-In" shows 0.3.0.  I'm running Windows 2000 SP 4.)

       
    • LeO

      LeO - 2004-12-06

      Seems like not everything installed. What the error refers to is about the coloring-interface which makes nice keyword-colouring. So, I would guess, you have *crippled* installation.

       
    • sabitov

      sabitov - 2004-12-07

      It's funny, but I get this error under Linux only.
      It does not depend what version I use.

      I've tried to install it several times from zero, with the same result. I do it such way (possibly I wrong?):

      1 unpack eclipse .zip
      2 unpack eclipse's native plugins cdt, gef, uml2
      3 unpack EPIC.

      Also, I tried to install EPIC via "Software Updates", the same result.

      run /opt/eclipce/eclipse -clean, exit, run it again w/o -clean switch.

      Then go to, Window -> Preferences -> Perl EPIC -> Editor.

       
    • Peter L Jones

      Peter L Jones - 2004-12-29

      I just posted this bug:
      http://sourceforge.net/tracker/index.php?func=detail&aid=1092783&group_id=75859&atid=545274
      I was trying to run with Eclipse 3.1M4 and Java 5.

       
      • Peter L Jones

        Peter L Jones - 2005-01-14

        See my update to the bug report: I cleared out everything EPIC related I could find then re-installed 0.3.8 (from the update site, via Eclipse's update thingy) and it's working now.

         

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks